% this is <any2matlab.tex>
% ----------------------------------------------------------------------------
% 
% Copyright (c) 2010 by Daniel Armbruster
% Copyright (c) 2016 by Thomas Forbriger (BFO Schiltach) 
% 
% documentation for any2matlab
%
% This file contains contents formerly provided in defines.tex and
% installDoc.tex
% 
% REVISIONS and CHANGES 
%    17/06/2016   V1.0   Thomas Forbriger
% 
% ============================================================================
%
\documentclass[10pt, a4paper, titlepage=false]{scrartcl}
% ----------------------------------------------------------------------
\newcommand{\version}{2016-06-20}
% ----------------------------------------------------------------------
% Schriftsatz
\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
% Deutsch
\usepackage[ngerman]{babel}
% Schrift im Vektorformat
\usepackage{ae}
% farbige Schrift
\usepackage{color}
% Mathesymbole
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{txfonts}
% Boxen um Formeln
% \usepackage{empheq}
% Links
\usepackage{hyperref}
% Quelltext
\usepackage{listings}

% Geometrie / Rand
\usepackage[right=2cm,left=2cm,top=2cm,bottom=2cm]{geometry}
% Formatieren von Tabellen und Arrays
\usepackage{array}
% Gleitobjekte aus Bildern und Tabellen
\usepackage{float}
\usepackage{lscape}
%Tabellen
\usepackage{tabularx}

% Bilder
%\usepackage{graphicx}
%\usepackage{subfigure}
% Textumfluss um Bilder
%\usepackage{wrapfig}

% Literaturverzeichnis Style
\usepackage[authoryear]{natbib}

% Kopfzeile und Fusszeile
\usepackage{scrpage2}

\pagestyle{scrheadings}
\clearscrheadings
\clearscrplain
\clearscrheadfoot
\ohead[]{\pagemark}
\ihead[]{\rightmark}
\ofoot {Daniel Armbruster - \texttt{dani.armbruster@gmx.de}}

\manualmark
\automark[section]{subsection}
\setheadsepline{0.5pt}
%\setfootsepline{0.5pt}

\renewcommand{\floatpagefraction}{1}
\sloppy
\frenchspacing
\linespread{1.1}
%\setlength{\textheight}{240.5mm}


% Formatierung der Nummerierung von Tabellen, Bildern und Formeln 
\usepackage[format=plain,font=footnotesize]{caption}
\makeatletter
% Formel
\renewcommand\theequation{\arabic{section}.\arabic{equation}}
% Rruecksetzen zu Beginn jedes Kapitels
\@addtoreset{equation}{section}
% Tabelle 
\renewcommand\thetable{\arabic{section}.\arabic{table}}
% Rruecksetzen zu Beginn jedes Kapitels
\@addtoreset{table}{section}
% Bilder
\renewcommand\thefigure{\arabic{section}.\arabic{figure}}
% Rruecksetzen zu Beginn jedes Kapitels
\@addtoreset{figure}{section}
\makeatother

% Bilderkonvertierung fuer makefile
\newif\ifpdf
\ifx\pdfoutput\undefined
\pdffalse 					% we are not running pdflatex
\DeclareGraphicsExtensions{.eps,.ps}
\else
\pdfoutput=1				% we are running pdflatex
\pdfcompresslevel=9     % compression level for text and image;
\pdftrue
\DeclareGraphicsExtensions{.pdf,.png,.jpg}
\fi

% Abstand Absatz
\setlength{\parskip}{\medskipamount}
\setlength{\headheight}{1.05\baselineskip}
% Einruecktiefe nach Absatz
\setlength{\parindent}{0mm}

% Spaltenabstand bei \twocolumn
\setlength{\columnsep}{20pt}

% Dokument beginnt
\begin{document}
% Dokumententitle
\title{\flushleft{\Large{Documentation \texttt{any2matlab.cc}}\vspace{-0.5cm}
\rule{\textwidth}{.4pt}}} 
\author{\large{Daniel Armbruster - dani.armbruster@gmx.de}}
\date{\large{\version}}
\maketitle
%\clearpage

\texttt{any2matlab} is a binary executable provided as an interface between
\emph{MATLAB} and \texttt{libdatrwxx}.
By means of the function \texttt{any2matlab} time series data in any format
supported by \texttt{libdatrwxx} can be read into a \emph{MATLAB} data
structure.

Installation of any2matlab is discussed in the README file provided in the
source code directory.
The source code is part of \textsc{Seitosh} and can be found at
\texttt{https://gitlab.kit.edu/kit/thomas.forbriger/seitosh/seitosh} in directory
\texttt{src/matlab/any2matlab}.

\section{Usage}
\texttt{$\,$\qquad datastruct = any2matlab('name.ftype');\\
        or: datastruct = any2matlab('name', 'ftype');\\
        or: datastruct = any2matlab('name', 'ftype', 'dtype');}

\begin{itemize}
\item \texttt{name} is the filename of the datafile. A '.' (dot) seperates
\texttt{name} from \texttt{ftype} e.g. \texttt{data.sff}
\item \texttt{name} is the filename of the datafile in an arbitrary form.
\texttt{ftype} is one of the options below.
\item \texttt{name} is the filename of the datafile in an arbitrary form.
\texttt{ftype} is one of the options below. \texttt{dtype} is the datatype of
the \texttt{trace} field of \texttt{datastruct}. Valid options are
\texttt{int} for importing integerdata for less memory use or \texttt{double}
for double data which is set as default.\\
\textbf{Attention:} The integer data is generated by cutting off the decimals of
the double data. Due to rounding problems on computers it can occur, that a
double number of $9.999\times10^{-1}$ will be casted to $0$ (zero).
See:
\url{http://openbook.galileocomputing.de/c\_von\_a\_bis\_z/007\_c\_typumwandlung\_001.htm}
\item \texttt{ftype} is one of the following filetypes:
\begin{itemize}
\item \texttt{ascii}: simple single column ASCII data
\item \texttt{bin}: binary data
\item \texttt{bonjer}: K2 ASCII data format (defined by K. Bonjer?)
\item \texttt{gse}: raw GSE format
\item \texttt{hpmo}: HP-MO data format defined by W. Grossmann (BFO)
\item \texttt{mseed}: MiniSEED (SeisComP, EDL, etc.)
\item \texttt{pdas}: PDAS100 (i.e. DaDisp)
\item \texttt{sac}: SAC binary format
\item \texttt{seife}: seife format (E. Wielandt)
\item \texttt{sff}: Stuttgart File Format
\item \texttt{su}: SeismicUn*x format
\item \texttt{tfascii}: ASCII format of T. Forbrigers any2ascii
\item \texttt{thiesdl1}: Thies DL1 pluviometer data at BFO
\item \texttt{tsoft}: TSOFT format
(\url{http://seismologie.oma.be/TSOFT/tsoft.html})
\end{itemize}
Additional types may be added in the future.
The current version of this list might not be up-to-date.
A recent list should be available through command \texttt{libdatrwxxinfo}
(to be run in a command shell, not in \emph{MATLAB})
which is provided as part of the installation of \texttt{libdatrwxx}.
\item \texttt{datastruct} is a MATLAB struct with the following fields:
\begin{itemize}
\item \texttt{date}: date of first sample. format: 'YYYY/MM/DD'
\item \texttt{time}: time of the first sample. format: 'hh:mm:ss.milsec'
\item \texttt{tdate}: timevector: [YYYY MM DD hh mm ss.milsec]
\item \texttt{station}: Station code. type: string
\item \texttt{channel}: FDSN channel code. type: string
\item \texttt{auxid}: Auxiliary identification code. type: string
\item \texttt{samps}: Number of samples. type: in
\item \texttt{dt}: Sampling interval (sec). type: double
\item \texttt{calib}: Calibration factor. type: double
\item \texttt{calper}: Calibration reference period. type: double
\item \texttt{instype}: Instrument type. type: string
\item \texttt{trace}: $ \left[\text{\texttt{samps} x 1 double}\right]$ as
default\\
\qquad$\,$ or:\qquad$\left[\text{\texttt{samps} x 1 int}\right]$ for less memory use
\end{itemize}
These are essentially the \texttt{WID2} header fields used by the time series
container within \texttt{libdatrwxx} and which are defined as part of the
\texttt{GSE} format specification (except \texttt{tdate} and \texttt{dt}) and
the time series itself.
Other than in \texttt{GSE} the sampling interval is specified by the interval
not by the rate.
\end{itemize}

\end{document}


% ----- END OF any2matlab.tex ----- 
